CUDA 3.2.16 under Ubuntu 10.10

Hi!!!

I’m trying to compile CUDA 3.2.16 under Ubuntu 10.10 and when running the make (make emu=1, for emulation mode), show it the following error:

…/…/common/inc/cutil_inline_drvapi.h: At global scope:

…/…/common/inc/cutil_inline_drvapi.h:234: warning: unused parameter ‘ARGC’

…/…/common/inc/cutil_inline_drvapi.h:234: warning: unused parameter ‘ARGV’

…/…/common/inc/cutil_inline_drvapi.h:295: error: expected initializer before ‘inline’

make[1]: *** [obj/i386/emurelease/main.cpp.o] Error 1

make[1]: se sale del directorio `/home/antonio/NVIDIA_GPU_Computing_SDK/C/src/scan’

make: *** [src/scan/Makefile.ph_build] Error 2

i do not know what the problem is…Maybe the gcc version, but install the version 4.3 (ubuntu 10.10 comes with the installed version 4.4.5)

if anyone can help, I thank you very much

Regards

Hi!!!

I’m trying to compile CUDA 3.2.16 under Ubuntu 10.10 and when running the make (make emu=1, for emulation mode), show it the following error:

…/…/common/inc/cutil_inline_drvapi.h: At global scope:

…/…/common/inc/cutil_inline_drvapi.h:234: warning: unused parameter ‘ARGC’

…/…/common/inc/cutil_inline_drvapi.h:234: warning: unused parameter ‘ARGV’

…/…/common/inc/cutil_inline_drvapi.h:295: error: expected initializer before ‘inline’

make[1]: *** [obj/i386/emurelease/main.cpp.o] Error 1

make[1]: se sale del directorio `/home/antonio/NVIDIA_GPU_Computing_SDK/C/src/scan’

make: *** [src/scan/Makefile.ph_build] Error 2

i do not know what the problem is…Maybe the gcc version, but install the version 4.3 (ubuntu 10.10 comes with the installed version 4.4.5)

if anyone can help, I thank you very much

Regards

not sure if it is the problem, but emulation mode is not in 3.2 anymore